# graphql-ask

Minimalistic and isomorphic request sender for [GraphQL](http://graphql.org).

<a href="https://www.npmjs.com/package/graphql-ask"><img alt="NPM Version" src="https://img.shields.io/npm/v/graphql-ask.svg?style=flat"/></a>

## Example

```javascript
const { ask } = require('graphql-ask')

const url = 'https://api.github.com/graphql'
const query = '{repository(owner:"avajs" name:"ava"){description url updatedAt}}'

ask(url, query, {
	headers: {
		'Authorization': 'Bearer <your GitHub personal access token>'
	}
})
	.then(console.log)
	.catch(console.error)
```
